geos::noding::FastSegmentSetIntersectionFinder Class Reference

Finds if two sets of SegmentStrings intersect. More...

`#include <FastSegmentSetIntersectionFinder.h>`

## Public Member Functions

| FastSegmentSetIntersectionFinder (SegmentString::ConstVect *baseSegStrings)
const SegmentSetMutualIntersector * | getSegmentSetIntersector () const
bool | intersects (SegmentString::ConstVect *segStrings)
bool | intersects (SegmentString::ConstVect *segStrings, SegmentIntersectionDetector *intDetector)

## Detailed Description

Finds if two sets of SegmentStrings intersect.

Uses indexing for fast performance and to optimize repeated tests against a target set of lines. Short-circuited to return as soon an intersection is found.

Version
  1.7

## Member Function Documentation

## getSegmentSetIntersector()

const SegmentSetMutualIntersector * geos::noding::FastSegmentSetIntersectionFinder::getSegmentSetIntersector | ( |  | ) | const

inline

Gets the segment set intersector used by this class. This allows other uses of the same underlying indexed structure.

Returns
  the segment set intersector used

The documentation for this class was generated from the following file:

- FastSegmentSetIntersectionFinder.h